commit: 9835a0e6f152d16275b666aaa0f02d505c3d24c3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 7 12:13:37 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 7 12:16:46 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9835a0e6
dev-python/terminaltables: EAPI 7, tests, py3.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../terminaltables/terminaltables-3.1.0.ebuild | 23 ++++++++++++++++------
1 file changed, 17 insertions(+), 6 deletions(-)
diff --git a/dev-python/terminaltables/terminaltables-3.1.0.ebuild
b/dev-python/terminaltables/terminaltables-3.1.0.ebuild
index 7c1b9f0d30d..851902172a4 100644
--- a/dev-python/terminaltables/terminaltables-3.1.0.ebuild
+++ b/dev-python/terminaltables/terminaltables-3.1.0.ebuild
@@ -1,18 +1,29 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
inherit distutils-r1
DESCRIPTION="Generate simple tables in terminals from a nested list of strings"
-
HOMEPAGE="https://robpol86.github.io/terminaltables"
SRC_URI="https://github.com/Robpol86/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/colorclass[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/termcolor[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}